package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.ReferrerRepository;
import com.realnet.vpspack.Entity.Referrer
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class ReferrerService {
@Autowired
private ReferrerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Referrer Savedata(Referrer data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Referrer save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Referrer> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Referrer> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Referrer> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Referrer getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Referrer update(Referrer data,Integer id) {
	Referrer old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final Referrer test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
